Name:           cheese-release
Version:        32
Release:        3%{dist}
Summary:        cheese Repository Configuration

Group:          System Environment/Base
License:        BSD
URL:            http://www.nosuchhost.net/~cheese/fedora/packages
Source1:        cheese.repo
Source2:        cheese.repo.epel

Source7:        RPM-GPG-KEY-cheese-epel-8-primary

Source28:       RPM-GPG-KEY-cheese-fedora-28-primary
Source29:       RPM-GPG-KEY-cheese-fedora-29-primary
Source30:       RPM-GPG-KEY-cheese-fedora-30-primary
Source31:       RPM-GPG-KEY-cheese-fedora-31-primary
Source32:       RPM-GPG-KEY-cheese-fedora-32-primary
Source33:       RPM-GPG-KEY-cheese-fedora-33-primary

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       system-release >= %{version}

%description
%if (0%{?rhel} > 5)
cheese repository contains open source and other distributable software for
el/centos %{?rhel}.
%else
cheese repository contains open source and other distributable software for
Fedora.
%endif

%prep
echo "Nothing to prep"

%build
echo "Nothing to build"

%install
rm -rf $RPM_BUILD_ROOT

# Create dirs
install -d -m755 \
  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg  \
  $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

# GPG Key

%if (0%{?rhel} > 5)
%{__install} -Dp -m644 \
    %{SOURCE7} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%else
%{__install} -Dp -m644 %{SOURCE28} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%{__install} -Dp -m644 %{SOURCE29} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%{__install} -Dp -m644 %{SOURCE30} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%{__install} -Dp -m644 %{SOURCE31} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%{__install} -Dp -m644 %{SOURCE32} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%{__install} -Dp -m644 %{SOURCE33} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%endif

%if (0%{?rhel} > 5)
ln -s $(basename %{SOURCE7}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-epel-%{version}
%else
# Avoid using basearch in name for the key. Introduced in F18
ln -s $(basename %{SOURCE28}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-28
ln -s $(basename %{SOURCE29}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-29
ln -s $(basename %{SOURCE30}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-30
ln -s $(basename %{SOURCE31}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-31
ln -s $(basename %{SOURCE32}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-32
ln -s $(basename %{SOURCE33}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-33
%endif

for arch in i386 x86_64; do
%if (0%{?rhel} > 5)
    ln -s RPM-GPG-KEY-cheese-epel-%{version}-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-epel-%{version}-$arch
%else
    ln -s RPM-GPG-KEY-cheese-fedora-28-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-28-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-29-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-29-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-30-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-30-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-31-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-31-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-32-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-32-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-33-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-33-$arch
%endif
done

for arch in aarch64; do
%if (0%{?fedora} > 31)
    ln -s RPM-GPG-KEY-cheese-fedora-32-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-32-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-33-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-33-$arch
%endif
done


# Yum .repo files
%if (0%{?rhel} > 5)
%{__install} -T -p -m644 %{SOURCE2} \
%else
%{__install} -T -p -m644 %{SOURCE1} \
%endif
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/cheese.repo


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki/rpm-gpg/*
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%changelog
* Sat May 09 2020 josef radinger <cheese@nosuchhost.net> - 32-3
- add aarch64

* Wed Apr 08 2020 josef radinger <cheese@nosuchhost.net> - 32-2
- add key for fedora 33

* Wed Apr 08 2020 josef radinger <cheese@nosuchhost.net> - 32-1
- bump version

* Wed Oct 30 2019 josef radinger <cheese@nosuchhost.net> - 31-1
- fedora 31

* Thu Oct 24 2019 josef radinger <cheese@nosuchhost.net> - 8-1
- bump version for rhel8

* Mon Apr 22 2019 josef radinger <cheese@nosuchhost.net> - 30-1
- bump version

* Tue Nov 13 2018 josef radinger <cheese@nosuchhost.net> - 29-3
- add key for fedora 30
- fix order

* Thu Nov 01 2018 josef radinger <cheese@nosuchhost.net> - 29-2
- add old keys

* Sat Oct 06 2018 josef radinger <cheese@nosuchhost.net> - 29-1
- bump version
- create new keys for f29

* Tue May 01 2018 josef radinger <cheese@nosuchhost.net> - 28-1
- bump version

* Sun Oct 08 2017 josef radinger <cheese@nosuchhost.net> - 27-1
- bump version

* Wed May 03 2017 josef radinger <cheese@nosuchhost.net> - 26-1
- bump version

* Tue Nov 22 2016 josef radinger <cheese@nosuchhost.net> - 25-1
- bump version

* Sun Apr 17 2016 josef radinger <cheese@nosuchhost.net> - 24-1
- bump version
- fix Source3

* Mon Oct 26 2015 josef radinger <cheese@nosuchhost.net> - 23-1
- fedora 23
- simplify spec-file

* Wed Oct 08 2014 josef radinger <cheese@nosuchhost.net> - 21-1
- fedora 21

* Wed Oct 08 2014 josef radinger <cheese@nosuchhost.net> - 7-1
- epel version 7

* Mon Jul 07 2014 josef radinger <cheese@nosuchhost.net> - 6-1
- epel version

* Thu Feb 20 2014 josef radinger <cheese@nosuchhost.net> - 20-1
- bump version

* Sat Nov 30 2013 josef radinger <cheese@nosuchhost.net> - 19-2
- fix link

* Fri Jul 05 2013 josef radinger <cheese@nosuchhost.net> - 19-1
- version 19

* Sun Apr 07 2013 josef radinger <cheese@nosuchhost.net> - 17-2
- fix

* Thu Mar 28 2013 josef radinger <cheese@nosuchhost.net> - 16-2
- fix

* Thu Mar 28 2013 josef radinger <cheese@nosuchhost.net> - 16-1
- initial version
